function [ indexes ] = getNOISEindexes( noisereal, gs, konst, range )
%[ indexes ] = getNOISEindexes( noisereal, gs, konst, range )
%GETNOISEINDEXES nájde body, ktoré sú výrazne rozptýlené od strednej hodnoty
%v danom súbore dát
%Vstupy:    noisereal - dáta na posúdenie, v našoom prípade šum
%           gs - veľkosť gaussovho okna, ktorým šum vyhladíme
%           konst - konštanta, ktoro násobíme rozptyl
%           range - do akej vzdialenosti zoberieme aj susedné body

noise = gauss(gs,noisereal); %vyhľadenie
avg = sum(noise)/length(noise); %stredná hodnota
rozptyl = sqrt((1/length(noise))*sum((noise-avg).^2)); %rozptyl
indexes1 = (noise>avg + konst*rozptyl); %rozptýlené dáta nad strednou hodnotou
indexes2 = (noise<avg - konst*rozptyl); %rozptýlené dáta pod strednou hodnotou
indexes = logical(indexes1+indexes2); %všetky dáta
zaznamy = 1:length(noise);

zaznamy = zaznamy(indexes); 
newoneindexes = []; 

for i = 1:length(zaznamy)
    newoneindexes(end+1:end+2*range+1) = zaznamy(i)-range:zaznamy(i)+range; %susedné body
end


newoneindexes = unique(newoneindexes(logical((newoneindexes>0)))); %nechceme duplikáty indexov
indexes = unique(newoneindexes(logical((newoneindexes<=length(noise)))));

end

